aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2014-07-07 05:14:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2014-07-07 05:20:48 +0000
commita8265968ac10d0511f3a7d7333d63c69f4a6bbc8 (patch)
tree8b866576f7219fb90fb086b455f0339ba445ac66
parent6183dba7fc1663e0ac3bc743e487b58353aeb979 (diff)
downloadaports-a8265968ac10d0511f3a7d7333d63c69f4a6bbc8.tar.gz
aports-a8265968ac10d0511f3a7d7333d63c69f4a6bbc8.tar.bz2
aports-a8265968ac10d0511f3a7d7333d63c69f4a6bbc8.tar.xz
testing/proj4: new aport
PROJ.4 - Cartographic Projections Library http://trac.osgeo.org/proj/
-rw-r--r--testing/proj4/APKBUILD46
1 files changed, 46 insertions, 0 deletions
diff --git a/testing/proj4/APKBUILD b/testing/proj4/APKBUILD
new file mode 100644
index 0000000000..8a0da2ff33
--- /dev/null
+++ b/testing/proj4/APKBUILD
@@ -0,0 +1,46 @@
+pkgname=proj4
+pkgver=4.8.0
+pkgrel=0
+pkgdesc="PROJ.4 - Cartographic Projections Library"
+url="http://trac.osgeo.org/proj/"
+arch="all"
+license="MIT"
+options=""
+depends=""
+makedepends=""
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://download.osgeo.org/proj/proj-$pkgver.tar.gz
+ "
+
+_builddir="$srcdir"/proj-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ update_config_sub || return 1
+}
+
+build () {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --without-jni \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p $pkgdir/usr/bin
+ make DESTDIR="$pkgdir" install
+ rm $pkgdir/usr/lib/*.la
+}
+
+md5sums="d815838c92a29179298c126effbb1537 proj-4.8.0.tar.gz"
+sha256sums="2db2dbf0fece8d9880679154e0d6d1ce7c694dd8e08b4d091028093d87a9d1b5 proj-4.8.0.tar.gz"
+sha512sums="6076289f8bdf1ca3b76ea879d8c221a668fcb4a6deec7cf6a293c489dfe0b21c36da0c6ed2c7a0b8042436106e851018aa429b4731f4ff018fea2fdb8887ec76 proj-4.8.0.tar.gz"